Skip to content

v2_services_instances_snapshots_actions_restore_create

POST
/api/v2/services/instances/{service_id}/snapshots/{snapshot_code}/actions/restore/
curl --request POST \
--url https://example.com/api/v2/services/instances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/snapshots/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/actions/restore/ \
--header 'X-API-Key: <X-API-Key>'

Restore/overwrite the VM’s disk from a snapshot. Destructive to the current disk state; the snapshot must be ready/available and synced with the provider.

service_id
required
string format: uuid
snapshot_code
required
string format: uuid
Media typeapplication/json
object
success
required
boolean

Example generated

{
"success": true
}
Media typeapplication/json
object
success
boolean
error
string

Example

{
"success": false
}
Media typeapplication/json
object
success
boolean
error
string

Example

{
"success": false
}
Media typeapplication/json
object
success
boolean
error
string

Example

{
"success": false
}